Q_XGETNEXTQUOTA(2const)

NAME
Q_XGETNEXTQUOTA - get disk quota limits for next user or group for an XFS filesystem

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <xfs/xqm.h>      /* See quotactl(2) */
#include <sys/quota.h>

int quotactl(QCMD(Q_XGETNEXTQUOTA, type), const char *_Nullable special,
             int id, caddr_t addr);

#include <xfs/xqm.h>      /* See quotactl_fd(2) */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_XGETNEXTQUOTA, type),
             int id, struct fs_disk_quota *addr);

DESCRIPTION
This operation is the same as Q_XGETQUOTA(2const), but it returns (in the fs_disk_quota(2type) structure pointed to by addr) quota information for the next ID greater than or equal to id that has a quota set.

Since fs_disk_quota(2type) already has q_id field, no separate structure type is needed (in contrast with Q_GETQUOTA(2const) and Q_GETNEXTQUOTA(2const)).

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

ESRCH
    There is no ID greater than or equal to id that has an active quota.

STANDARDS
Linux.

HISTORY
Linux 4.6.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_XGETQUOTA(2const), fs_disk_quota(2type)